function [scal,eqscal] = density_equation_scalings(nxconfig)
switch nxconfig.method
    case 'state'
        scal = 1e19; eqscal = 1e-20;
    case {'nescal','niscal','direct','qnze'}
        scal = 1; eqscal = 1;
    otherwise
        error('unknown method')
end
return